Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.statcato
Class StatcatoDialog

    java.lang.Object
      java.awt.Component
          java.awt.Container
              java.awt.Window
                  java.awt.Dialog
                      javax.swing.JDialog
                          org.statcato.StatcatoDialog

All Implemented Interfaces:
  java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.accessibility.Accessible, javax.swing.RootPaneContainer, javax.swing.WindowConstants

Direct Known Subclasses:
  AboutDialog, AboutDialog, AddMultipleRowColDialog, ArbitraryDataPatternDialog, BarChartDialog, BinomialDistributionDialog, BinomialDistributionDialog, BinomialSampleDialog, BoxPlotDialog, CalculatorDialog, CheckUpdatesDialog, ChiSquareDistributionDialog, ChiSquareDistributionDialog, CI1PopMeanDialog, CI1PopMeanDialog, CI1PopPropDialog, CI1PopPropDialog, CI1PopVarDialog, CI1PopVarDialog, CI2PopMeanDialog, CI2PopMeanDialog, CI2PopPropDialog, CI2PopPropDialog, CI2PopVarDialog, CI2PopVarDialog, CIMatchedPairsDialog, CIMatchedPairsDialog, ColumnStatisticsDialog, ColumnStatisticsDialog, ContingencyTableDialog, ContingencyTableDialog, CorrelationRegressionDialog, CorrelationRegressionDialog, DescriptiveStatisticsDialog, DescriptiveStatisticsDialog, DiscreteDistributionDialog, DiscreteDistributionDialog, DisplayDataDialog, DotPlotDialog, FDistributionDialog, FDistributionDialog, FrequencyTableDialog, GeometricDistributionDialog, GeometricDistributionDialog, GoodnessOfFitDialog, GoodnessOfFitDialog, HistogramDialog, HyTest1PopMeanDialog, HyTest1PopMeanDialog, HyTest1PopPropDialog, HyTest1PopPropDialog, HyTest1PopVarDialog, HyTest1PopVarDialog, HyTest2PopMeanDialog, HyTest2PopMeanDialog, HyTest2PopPropDialog, HyTest2PopPropDialog, HyTest2PopVarDialog, HyTest2PopVarDialog, HyTestConclusionDialog, HyTestConclusionDialog, HyTestMatchedPairsDialog, HyTestMatchedPairsDialog, IntegerDistributionDialog, IntegerDistributionDialog, IntegerSampleDialog, LoadDatasetDialog, MultipleRegressionDialog, MultipleRegressionDialog, NonLinearModelsDialog, NonLinearModelsDialog, NormalDistributionDialog, NormalDistributionDialog, NormalityTestDialog, NormalityTestDialog, NormalQuantilePlotDialog, NormalSampleDialog, OneWayANOVADialog, OneWayANOVADialog, OptionsDialog, PieChartDialog, PoissonDistributionDialog, PoissonDistributionDialog, PrintDatasheetDialog, PrintLogDialog, PvalueDialog, RankDialog, RowStatisticsDialog, RowStatisticsDialog, SampleFromColumnDialog, SampleSizeMeanDialog, SampleSizeMeanDialog, SampleSizePropDialog, SampleSizePropDialog, ScatterplotDialog, SimpleNumberPatternDialog, SortDialog, StandardizeDialog, StemAndLeafPlotDialog, StudentTDistributionDialog, StudentTDistributionDialog, TwoWayANOVADialog, TwoWayANOVADialog, UniformDistributionDialog, UniformDistributionDialog, UniformSampleDialog

    public class StatcatoDialog

extends javax.swing.JDialog

A generic dialog for Statcato.

Since:
  1.0
Version:
  %I%, %G%
Author:
  Margaret Yau
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JDialog
`javax.swing.JDialog.AccessibleJDialog`

Nested classes/interfaces inherited from class java.awt.Dialog
`java.awt.Dialog.AccessibleAWTDialog, java.awt.Dialog.ModalExclusionType, java.awt.Dialog.ModalityType`

Nested classes/interfaces inherited from class java.awt.Window
`java.awt.Window.AccessibleAWTWindow`

Nested classes/interfaces inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`protected Statcato` | `app`
`protected java.lang.String` | `description` Short description of the dialog
`protected java.lang.String` | `helpFileName` Name of help file for this dialog
`protected java.util.ArrayList<java.lang.String>` | `helpStrings` Help message for this dialog
`protected java.lang.String` | `name` Name of the dialog
`protected Spreadsheet` | `ParentSpreadsheet`

Fields inherited from class javax.swing.JDialog
`accessibleContext, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Dialog
`DEFAULT_MODALITY_TYPE`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, EXIT_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`StatcatoDialog(java.awt.Frame parent, boolean modal)` Creates new form StatcatoDialog

Method Summary
`protected void` | `clearMutableColumnsList(javax.swing.JList list)` Removes all the elements in the given mutable list.
`void` | `dispose()`
`void` | `setDialogName(java.lang.String name)` Sets the name of this dialog.
`void` | `setHelpFile(java.lang.String name)` Sets the name of the help file to the given name.
`void` | `setVisible(boolean state)`
`java.lang.String` | `toString()`
`protected void` | `updateAllColumnsList(javax.swing.JList list)` Updates the given list with all columns in the parent spreadsheet while leaving the originally selected items selected.
`protected void` | `updateColumnsList(javax.swing.JList list)` Updates the given list with available columns in the parent spreadsheet while leaving the originally selected items selected.
`protected void` | `updateComboBox(javax.swing.JComboBox comboBox)` Updates the given combo box with available columns in the parent spreadsheet while leaving the originally selected items selected.
`void` | `updateElements()` Updates elements on the dialog so that they have the most current values.

Methods inherited from class javax.swing.JDialog
`addImpl, createRootPane, dialogInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getGraphics, getJMenuBar, getLayeredPane, getRootPane, getTransferHandler, isDefaultLookAndFeelDecorated, isRootPaneCheckingEnabled, paramString, processWindowEvent, remove, repaint, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, setTransferHandler, update`

Methods inherited from class java.awt.Dialog
`addNotify, getModalityType, getTitle, hide, isModal, isResizable, isUndecorated, setModal, setModalityType, setResizable, setTitle, setUndecorated, show, toBack`

Methods inherited from class java.awt.Window
`addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getGraphicsConfiguration, getIconImages, getInputContext, getListeners, getLocale, getModalExclusionType, getMostRecentFocusOwner, getOwnedWindows, getOwner, getOwnerlessWindows, getToolkit, getWarningString, getWindowFocusListeners, getWindowListeners, getWindows, getWindowStateListeners, isActive, isAlwaysOnTop, isAlwaysOnTopSupported, isFocusableWindow, isFocusCycleRoot, isFocused, isLocationByPlatform, isShowing, pack, postEvent, processEvent, processWindowFocusEvent, processWindowStateEvent, removeNotify, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, reshape, setAlwaysOnTop, setBounds, setBounds, setCursor, setFocusableWindowState, setFocusCycleRoot, setIconImage, setIconImages, setLocationByPlatform, setLocationRelativeTo, setMinimumSize, setModalExclusionType, setSize, setSize, toFront`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paint, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isPreferredSizeSet, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resize, resize, setBackground, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setMaximumSize, setName, setPreferredSize, show, size, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### app

    protected Statcato app

### ParentSpreadsheet

    protected Spreadsheet ParentSpreadsheet

### helpFileName

    protected java.lang.String helpFileName

  Name of help file for this dialog

### name

    protected java.lang.String name

  Name of the dialog

### description

    protected java.lang.String description

  Short description of the dialog

### helpStrings

    protected java.util.ArrayList<java.lang.String> helpStrings

  Help message for this dialog

Constructor Detail

### StatcatoDialog

    public StatcatoDialog(java.awt.Frame parent,
                          boolean modal)

  Creates new form StatcatoDialog

Method Detail

### setDialogName

    public void setDialogName(java.lang.String name)

  Sets the name of this dialog.

  Parameters:
    `name` - string name of the dialog

### setHelpFile

    public void setHelpFile(java.lang.String name)

  Sets the name of the help file to the given name. Enables help to the given name for the help menu.

  Parameters:
    `name` - id of help file

### updateElements

    public void updateElements()

  Updates elements on the dialog so that they have the most current values. Called by `setVisible(boolean)` to make sure the dialog displays current values when made visible again.

  See Also:
    `setVisible(boolean)`

### setVisible

    public void setVisible(boolean state)

  Overrides:
    `setVisible` in class `java.awt.Dialog`

### dispose

    public void dispose()

  Overrides:
    `dispose` in class `java.awt.Window`

### updateComboBox

    protected void updateComboBox(javax.swing.JComboBox comboBox)

  Updates the given combo box with available columns in the parent spreadsheet while leaving the originally selected items selected.

  Parameters:
    `comboBox` - combo box to be updated

### clearMutableColumnsList

    protected void clearMutableColumnsList(javax.swing.JList list)

  Removes all the elements in the given mutable list.

  Parameters:
    `list` - list to be cleared

### updateColumnsList

    protected void updateColumnsList(javax.swing.JList list)

  Updates the given list with available columns in the parent spreadsheet while leaving the originally selected items selected.

  Parameters:
    `list` - list to be updated

### updateAllColumnsList

    protected void updateAllColumnsList(javax.swing.JList list)

  Updates the given list with all columns in the parent spreadsheet while leaving the originally selected items selected.

  Parameters:
    `list` - list to be updated

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.awt.Component`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD